﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace StudioKit.Scaffolding.Properties {
    using System;
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "16.0.0.0")]
    [System.Diagnostics.DebuggerNonUserCodeAttribute()]
    [System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    public class Strings {
        
        private static System.Resources.ResourceManager resourceMan;
        
        private static System.Globalization.CultureInfo resourceCulture;
        
        [System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        internal Strings() {
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        public static System.Resources.ResourceManager ResourceManager {
            get {
                if (object.Equals(null, resourceMan)) {
                    System.Resources.ResourceManager temp = new System.Resources.ResourceManager("StudioKit.Scaffolding.Properties.Strings", typeof(Strings).Assembly);
                    resourceMan = temp;
                }
                return resourceMan;
            }
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        public static System.Globalization.CultureInfo Culture {
            get {
                return resourceCulture;
            }
            set {
                resourceCulture = value;
            }
        }
        
        public static string AccessNotAllowed {
            get {
                return ResourceManager.GetString("AccessNotAllowed", resourceCulture);
            }
        }
        
        public static string GroupNotFound {
            get {
                return ResourceManager.GetString("GroupNotFound", resourceCulture);
            }
        }
        
        public static string RequestModelIsEmpty {
            get {
                return ResourceManager.GetString("RequestModelIsEmpty", resourceCulture);
            }
        }
        
        public static string RoleNotFound {
            get {
                return ResourceManager.GetString("RoleNotFound", resourceCulture);
            }
        }
        
        public static string StartDateIsAfterEndDate {
            get {
                return ResourceManager.GetString("StartDateIsAfterEndDate", resourceCulture);
            }
        }
        
        public static string UserNotFound {
            get {
                return ResourceManager.GetString("UserNotFound", resourceCulture);
            }
        }
        
        public static string AddingLoginsNotAllowedForOtherUser {
            get {
                return ResourceManager.GetString("AddingLoginsNotAllowedForOtherUser", resourceCulture);
            }
        }
        
        public static string InstructorAdded {
            get {
                return ResourceManager.GetString("InstructorAdded", resourceCulture);
            }
        }
        
        public static string InstructorsAdded {
            get {
                return ResourceManager.GetString("InstructorsAdded", resourceCulture);
            }
        }
        
        public static string MemberAdded {
            get {
                return ResourceManager.GetString("MemberAdded", resourceCulture);
            }
        }
        
        public static string MembersAdded {
            get {
                return ResourceManager.GetString("MembersAdded", resourceCulture);
            }
        }
        
        public static string EntityNotFoundById {
            get {
                return ResourceManager.GetString("EntityNotFoundById", resourceCulture);
            }
        }
        
        public static string GroupQueryAllRequiredArguments {
            get {
                return ResourceManager.GetString("GroupQueryAllRequiredArguments", resourceCulture);
            }
        }
        
        public static string UserCurrentRoleNotFound {
            get {
                return ResourceManager.GetString("UserCurrentRoleNotFound", resourceCulture);
            }
        }
        
        public static string UserHasNewRole {
            get {
                return ResourceManager.GetString("UserHasNewRole", resourceCulture);
            }
        }
        
        public static string ConfigurationNotFound {
            get {
                return ResourceManager.GetString("ConfigurationNotFound", resourceCulture);
            }
        }
        
        public static string ExternalGroupAlreadyExists {
            get {
                return ResourceManager.GetString("ExternalGroupAlreadyExists", resourceCulture);
            }
        }
        
        public static string ExternalGroupsInvalidExternalTermId {
            get {
                return ResourceManager.GetString("ExternalGroupsInvalidExternalTermId", resourceCulture);
            }
        }
        
        public static string ExternalGroupsInvalidUserIds {
            get {
                return ResourceManager.GetString("ExternalGroupsInvalidUserIds", resourceCulture);
            }
        }
        
        public static string ParameterInvalid {
            get {
                return ResourceManager.GetString("ParameterInvalid", resourceCulture);
            }
        }
        
        public static string ExternalGroupsCannotRemoveIfLtiExternalProvider {
            get {
                return ResourceManager.GetString("ExternalGroupsCannotRemoveIfLtiExternalProvider", resourceCulture);
            }
        }
        
        public static string GroupCannotUpdateDeleted {
            get {
                return ResourceManager.GetString("GroupCannotUpdateDeleted", resourceCulture);
            }
        }
        
        public static string ExternalGroupsInvalidAutoGradePushEnabled {
            get {
                return ResourceManager.GetString("ExternalGroupsInvalidAutoGradePushEnabled", resourceCulture);
            }
        }
        
        public static string ExternalGroupsUpdateInvalidAutoGradePushEnabled {
            get {
                return ResourceManager.GetString("ExternalGroupsUpdateInvalidAutoGradePushEnabled", resourceCulture);
            }
        }
        
        public static string EntityRoleNotValid {
            get {
                return ResourceManager.GetString("EntityRoleNotValid", resourceCulture);
            }
        }
        
        public static string ArtifactUrlInvalid {
            get {
                return ResourceManager.GetString("ArtifactUrlInvalid", resourceCulture);
            }
        }
        
        public static string FileArtifactExtensionNotAllowed {
            get {
                return ResourceManager.GetString("FileArtifactExtensionNotAllowed", resourceCulture);
            }
        }
        
        public static string FileArtifactExtensionNotValid {
            get {
                return ResourceManager.GetString("FileArtifactExtensionNotValid", resourceCulture);
            }
        }
        
        public static string UpdateArtifactTypeMismatch {
            get {
                return ResourceManager.GetString("UpdateArtifactTypeMismatch", resourceCulture);
            }
        }
        
        public static string FileRequired {
            get {
                return ResourceManager.GetString("FileRequired", resourceCulture);
            }
        }
        
        public static string ParameterRequired {
            get {
                return ResourceManager.GetString("ParameterRequired", resourceCulture);
            }
        }
        
        public static string StreamNotWritable {
            get {
                return ResourceManager.GetString("StreamNotWritable", resourceCulture);
            }
        }
        
        public static string EndedGroupCannotAddLearner {
            get {
                return ResourceManager.GetString("EndedGroupCannotAddLearner", resourceCulture);
            }
        }
        
        public static string EndedGroupCannotChangeExternalGroups {
            get {
                return ResourceManager.GetString("EndedGroupCannotChangeExternalGroups", resourceCulture);
            }
        }
        
        public static string EndedGroupCannotRemoveUser {
            get {
                return ResourceManager.GetString("EndedGroupCannotRemoveUser", resourceCulture);
            }
        }
        
        public static string ImpersonatorNotFound {
            get {
                return ResourceManager.GetString("ImpersonatorNotFound", resourceCulture);
            }
        }
        
        public static string ImpersonationAlreadyStarted {
            get {
                return ResourceManager.GetString("ImpersonationAlreadyStarted", resourceCulture);
            }
        }
        
        public static string ImpersonationNotStarted {
            get {
                return ResourceManager.GetString("ImpersonationNotStarted", resourceCulture);
            }
        }
        
        public static string CannotRemoveLastEntityOwner {
            get {
                return ResourceManager.GetString("CannotRemoveLastEntityOwner", resourceCulture);
            }
        }
        
        public static string EntityUserRoleCannotUpdateAlreadyExists {
            get {
                return ResourceManager.GetString("EntityUserRoleCannotUpdateAlreadyExists", resourceCulture);
            }
        }
        
        public static string LockDownBrowserClientIsNotLockDownBrowser {
            get {
                return ResourceManager.GetString("LockDownBrowserClientIsNotLockDownBrowser", resourceCulture);
            }
        }
        
        public static string LockDownBrowserBadEntityId {
            get {
                return ResourceManager.GetString("LockDownBrowserBadEntityId", resourceCulture);
            }
        }
        
        public static string LockDownBrowserBadChallengeResponse {
            get {
                return ResourceManager.GetString("LockDownBrowserBadChallengeResponse", resourceCulture);
            }
        }
        
        public static string LockDownBrowserNonceCached {
            get {
                return ResourceManager.GetString("LockDownBrowserNonceCached", resourceCulture);
            }
        }
        
        public static string LockDownBrowserChallengeNotCached {
            get {
                return ResourceManager.GetString("LockDownBrowserChallengeNotCached", resourceCulture);
            }
        }
        
        public static string LockDownBrowserProctorExitPasswordMaxLength {
            get {
                return ResourceManager.GetString("LockDownBrowserProctorExitPasswordMaxLength", resourceCulture);
            }
        }
        
        public static string LockDownBrowserProctorExitPasswordMinLength {
            get {
                return ResourceManager.GetString("LockDownBrowserProctorExitPasswordMinLength", resourceCulture);
            }
        }
        
        public static string LockDownBrowserProctorExitPasswordInvalidCharacters {
            get {
                return ResourceManager.GetString("LockDownBrowserProctorExitPasswordInvalidCharacters", resourceCulture);
            }
        }
        
        public static string LockDownBrowserProctorExitPasswordMustTrimWhitespace {
            get {
                return ResourceManager.GetString("LockDownBrowserProctorExitPasswordMustTrimWhitespace", resourceCulture);
            }
        }
        
        public static string LockDownBrowserRestartError {
            get {
                return ResourceManager.GetString("LockDownBrowserRestartError", resourceCulture);
            }
        }
        
        public static string ArtifactExtractTextError {
            get {
                return ResourceManager.GetString("ArtifactExtractTextError", resourceCulture);
            }
        }
        
        public static string UrlArtifactNotSupported {
            get {
                return ResourceManager.GetString("UrlArtifactNotSupported", resourceCulture);
            }
        }
        
        public static string ArtifactTypesMustMatch {
            get {
                return ResourceManager.GetString("ArtifactTypesMustMatch", resourceCulture);
            }
        }
        
        public static string ArtifactUrlRequired {
            get {
                return ResourceManager.GetString("ArtifactUrlRequired", resourceCulture);
            }
        }
    }
}
